Bug 51630 - some newly installed programs (rpm) do not startup
some newly installed programs (rpm) do not startup
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: openssl096 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-13 09:42 EDT by lethalwp
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:16:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lethalwp 2001-08-13 09:42:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010808

Description of problem:
missing /lib/libcrypto.so.1
missing /lib/libssl.so.1

How reproducible:
Didn't try


Additional info:

this was the case with xchat 1.8.2

ln -s /lib/libcrypto.so.0.9.6b /lib/libcrypto.so.1
fix it
i do have a .so.2 file also, but asking which package it comes from: rpm
-qf:file /lib/libcrypto.so.2 is not owned by any package
so maybe is a link to that file needed also.

same about libssl

But i'm not sure i've created a link to the right files? ;)

are installed:


[lethalwp@little download]$ rpm -qa |grep openssl
openssl095a-0.9.5a-10
openssl-0.9.6b-3
openssl-devel-0.9.6b-3
Comment 1 lethalwp 2001-08-15 10:04:40 EDT
Uh i just thought about it, i think i did a --nodeps when i've installed xchat,
because i could not find any rpm that had those files; and i've ended by make
those links by myself, it seems to work fine
Comment 2 Bill Nottingham 2006-08-05 01:21:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 4 Bill Nottingham 2007-01-02 14:16:34 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.